Bug 167596 - Bounding Box seems wrong
Bounding Box seems wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 22:29 EDT by Akira TAGOH
Modified: 2009-11-24 00:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:31:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-09-05 22:29:53 EDT
Description of problem:
When I tried to look at the testcase on Bug#163663, current ghostscript doesn't
render them at the proper position. it looks like the bounding box calculation
say is wrong.

Version-Release number of selected component (if applicable):
8.15-0.rc4.3

How reproducible:
always

Steps to Reproduce:
1.download https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=116960
2.gs -sDEVICE=x11 article9.ps
3.
  
Actual results:
some glyphs are rendered out of the border line.

Expected results:
all glyphs should be rendered inside the border line.

Additional info:
Comment 1 Tim Waugh 2005-09-06 04:47:21 EDT
Regression since Fedora Core 4.
Comment 2 Tim Waugh 2006-10-03 11:33:31 EDT
This still happens with 8.15.3 (see bug #194592).
Comment 3 Bug Zapper 2008-05-13 22:01:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Waugh 2008-06-02 07:39:33 EDT
Still happens on Fedora 9 with ghostscript-8.62-3.fc9.
Comment 5 Tim Waugh 2008-08-04 08:20:51 EDT
I see correct output when SIZE is adjusted to any number below 22.  Are you sure this isn't just a case of the font characteristics having changed since Fedora Core 4?
Comment 6 Akira TAGOH 2008-08-06 10:02:13 EDT
(In reply to comment #5)
> I see correct output when SIZE is adjusted to any number below 22.  Are you
> sure this isn't just a case of the font characteristics having changed since
> Fedora Core 4?

I'm afraid I don't think so. just tried gs7 with the same fonts(sazanami-mincho.ttf for Ryumin-Light and VL-Gothic-Regular.ttf for GothicBBB-Medium) to make sure.

http://tagoh.fedorapeople.org/tmp/Screenshot-ghostscript7.png
http://tagoh.fedorapeople.org/tmp/Screenshot-ghostscript8.png
Comment 7 Tony Fu 2008-09-09 23:14:46 EDT
requested by Jens Petersen (#27995)
Comment 8 Bug Zapper 2009-06-09 18:02:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Akira TAGOH 2009-06-23 06:55:37 EDT
I've tried with gs 8.64 which we've shipped on Fedora 11. it looks good. however no lucks with 8.63 on Fedora 10.
Comment 10 Bug Zapper 2009-11-18 03:04:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.